/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _BattleMapBattleMapTest;
        public static UIKey BattleMapBattleMapTest => _BattleMapBattleMapTest ?? (_BattleMapBattleMapTest = new UIKey("BattleMap", "BattleMapTest", typeof(BattleMapBattleMapTestView)));
    }
    public partial class BattleMapBattleMapTestView : UIView
    {

        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new BattleMapBattleMapTestCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new BattleMapBattleMapTestVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

